---
title: Window.moveBy()
slug: Web/API/Window/moveBy
tags:
  - API
  - CSSOM View
  - Method
  - Reference
  - Window
---
<div>{{APIRef}}</div>

<p>The <code><strong>moveBy()</strong></code> method of the {{domxref("Window")}} interface moves the current window by a specified amount.</p>

<div class="notecard note">
<p><strong>Note:</strong> This function moves the window relative to its current location. In contrast, {{domxref("window.moveTo()")}} moves the window to an absolute location.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.moveBy(<em>deltaX</em>, <em>deltaY</em>)
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>deltaX</code> is the amount of pixels to move the window horizontally. Positive values are to the right, while negative values are to the left.</li>
 <li><code>deltaY</code> is the amount of pixels to move the window vertically. Positive values are down, while negative values are up.</li>
</ul>

<h2 id="Example">Example</h2>

<p>This example moves the window 10 pixels to the right and 10 pixels up.</p>

<pre class="brush:js">function budge() {
  moveBy(10, -10);
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSSOM View', '#dom-window-moveby', 'window.moveBy()') }}</td>
   <td>{{ Spec2('CSSOM View') }}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.moveBy")}}</p>

<p>As of Firefox 7, websites can no longer move a browser window <a class="link-https" href="https://bugzilla.mozilla.org/show_bug.cgi?id=565541#c24">in the following cases</a>:</p>

<ol>
 <li>You can't move a window or tab that wasn’t created by {{domxref("Window.open()")}}.</li>
 <li>You can't move a window or tab when it’s in a window with more than one tab.</li>
</ol>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Window.moveTo()")}}</li>
</ul>
